Skip to main content
GET
Get all certificates

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

filter[type]
enum<string>

Filter by certificate type

Available options:
verifierSignRequest,
issuerSignCredential,
verifierRoot,
issuerRoot,
issuerIntermediate,
verifierIntermediate
filter[keyType]
enum<string>

Filter by key type

Available options:
P-256,
Ed25519
filter[status]
enum<string>

Filter by certificate status

Available options:
expired,
active,
revoked,
pendingActivation,
inactive,
pendingRevocation
filter[parentCertificateId]
string

Filter by parent certificate ID

sort
enum<string>

Sort order. Prefix with "-" for descending

Available options:
createdAt,
-createdAt,
updatedAt,
-updatedAt,
expiresAt,
-expiresAt,
-id,
id,
type,
-type,
keyType,
-keyType,
parentCertificateId,
-parentCertificateId
page[size]
number

Items per page (1-100)

Required range: 1 <= x <= 100
page[before]
string

Cursor: return items before this ID

page[after]
string

Cursor: return items after this ID

Response

List of certificates

data
object[]
required
meta
object
errors
object[]